For Developers
Fetch Origin Policy
GET https://ed.link/api/v2/teams/:team_id/origin_policies/:policy_id
Retrieves the specified origin policy, including populated scope sidecar configuration.
Permissions
Requires the origin_policies.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
Sample Request
const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/origin_policies/${policy_id}`, {
headers: {
authorization: `Bearer ${user_session_token}`
}
});
Sample Response
{
"$data": {
"id": "7fa194a2-1982-4f91-8841-59128aa10234",
"type": "team",
"evaluation_mode": "enforcing",
"ip_default_outcome": "allowed",
"geo_default_outcome": "allowed",
"vpn_outcome": "allowed",
"tor_outcome": "blocked",
"team_id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d",
"created_date": "2024-04-12T08:00:00.000Z",
"updated_date": "2024-04-12T08:00:00.000Z"
}
}
